<?php
/**
 * @file
 *
 * Theme preprocessors for gallery_assist plugins.
 */

/**
 * Preprocessor for the test Gallery Assist style plugin.
 */
function template_preprocess_gallery_assist_display_cover(&$vars) {
  
  $link_path = $vars['view']['linked_to'] == 1 ? 'node/'. $vars['view']['nid'] .'/'. $vars['view']['pid'] : 'node/'. $vars['view']['nid'];
  if (module_exists('imagecache') && $vars['view']['presetname'] != 'none') { // && variable_get('gallery_assist_use_imagecache', FALSE) == 1 
    $vars['gallery_assist_cover'] = theme('imagecache', $vars['view']['presetname'], $vars['view']['opath']);
  }
  else {
    $vars['gallery_assist_cover'] = '<img src="'. $vars['view']['img'] .'">';
  }
  $vars['gallery_assist_cover_linked'] = l($vars['gallery_assist_cover'], $link_path, array('html' => TRUE));
  // $vars['palt'] = '';
  // $vars['ptitle'] = '';
  // $vars['pdescription'] = '';

  drupal_add_css(drupal_get_path('module', 'gallery_assist') .'/css/gallery_assist.css');
}
